### Method

# Ggit Rebase finish

#### Declaration [src]

    void
    ggit_rebase_finish (
      GgitRebase* rebase,
      GgitSignature* signature,
      GError** error
    )

#### Description [src]

Finishes a rebase that is currently in progress once all patches have been applied.

#### Parameters

`signature`

  Type: `GgitSignature`

  The identity that is finishing the rebase or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.